Subject: bug#742: tool-bar and diary on XP

From: "Drew Adams" <[email-masked]>
Date: Thu, 28 Aug 2008 08:04:14 -0700

> From: Drew Adams Sent: Wednesday, August 27, 2008 9:57 AM
> FYI - The tool-bar problems I saw with Emacs 23 appear to be 
> fixed in the pretest (Emacs 22.2.91). HTH and Thx.
> 
> > From: Drew Adams Sent: Thursday, August 21, 2008 8:08 AM
> > I haven't followed this, and I don't have time to look into 
> > it further, but just in case it helps a bit:
> > 
> > I too have problems with the tool bar on Windows in Emacs 23 
> > - have ever since 23 started. Tool bars keep showing up even
> > though I have tool bars turned off.
> > 
> > > Information received off-list (see below) suggests this is
> > > Windows-specific. I don't use Windows - can any Windows 
> > > users help? It sounds like some redisplay thing...
> > > 
> > > Bostjan Vilfan wrote (on Wed, 20 Aug 2008 at 15:13 -0700):
> > > 
> > > > 1. I investigated the problem in the same version of 
> Emacs running
> > > > under VMware Workstation and Suse Linux 11.0. In that 
> case you are
> > > > right, the problem does not exist.
> > > > 
> > > > 2. However, under Windows XP it definitely does exist 
> (at least on
> > > > my machine). Re your question, I tried a different, very simple
> > > > diary file, and obtained the same result. To this I must add an
> > > > observation that I made by accident: If the tool bar is 
> disabled as
> > > > described previously and the Emacs window is covered 
> with another
> > > > window, the tool bar becomes active once again after the Emacs
> > > > window is uncovered!

Sorry, I was confused. I was thinking this was an Emacs 23 pretest. The problem
still exists in Emacs 23. :-(